apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: kafka-user
  namespace: argocd
spec:
  destination:
    namespace: kafka
    server: https://kubernetes.default.svc
  project: kafka
  source:
    path: Kafka/Kafka-User
    repoURL: https://gitlab.com/thanachai.tre/k8s-application.git
    targetRevision: main
  syncPolicy:
    automated:
      selfHeal: true